Description

[[OpenStreetMap]]r1 has now reached a reasonable mass, and extremely
interesting results.

It would be good to have a plugin dowloading their data (useful eg as a
background), and even better if it could also upload tracks and points.

It should not be too difficult, as the API r2 and the xml r3 are well
documented, and already in use by a number of clients.

| believe this would make both OSM and QGIS more usable and powerful.

r1 http://www.openstreetmap.org/

r2 http://wiki.openstreetmap.org/index.php/Protocol

r3

http://wiki.openstreetmap.org/index.php/OSM_Protocol Version_0.5#Returned XML _data

History

#1 - 2009-07-09 02:46 AM - Giovanni Manghi

We have it now

http://lists.osgeo.org/pipermail/ggis-user/2009-June/005514.html

could this ticket be closed?

#2 - 2009-07-09 03:24 AM - Martin Dobias

We will close the ticket once the [[OpenStreetMap]] plugin enters SVN (so far it's not there).

Martin

#3 - 2009-07-09 03:26 AM - Giovanni Manghi

Ok, thanks for the feedback.

#4 - 2009-07-30 04:31 AM - Giovanni Manghi
- Resolution set to fixed
- Status changed from Open to Closed
http://wiki.openstreetmap.org/index.php/OSM_Protocol_Version_0.5#Returned_XML_data
http://lists.osgeo.org/pipermail/qgis-user/2009-June/005514.html

The plugin entered in svn, closing.
